////////////////////////////////////////////////////////////////////////////////
// LIGHT LIB BUSINESS HEADER FILE                                             //
////////////////////////////////////////////////////////////////////////////////
#ifndef  LLB_HEADER
#define  LLB_HEADER

#include "llo.h" // Include LIGHT LIB OBJECT HEADER FILE

////////////////////////////////////////////////////////////////////////////////
// LIBRARY                                                                    //
////////////////////////////////////////////////////////////////////////////////
#define LLO_LIBRARY_BUSINESS                    0x02000000L


////////////////////////////////////////////////////////////////////////////////
// CLASSES                                                                    //
////////////////////////////////////////////////////////////////////////////////
#define LLB_CLASS_APPLICATION                   LLO_LIBRARY_BUSINESS + 0x000000L

#define LLB_CLASS_GRAPH                         LLO_LIBRARY_BUSINESS + 0x010000L
#define LLB_CLASS_COLUMN                        LLO_LIBRARY_BUSINESS + 0x020000L
#define LLB_CLASS_X_AXIS                        LLO_LIBRARY_BUSINESS + 0x030000L
#define LLB_CLASS_Y_AXIS                        LLO_LIBRARY_BUSINESS + 0x040000L
#define LLB_CLASS_LEGEND                        LLO_LIBRARY_BUSINESS + 0x050000L
#define LLB_CLASS_FONT                          LLO_LIBRARY_BUSINESS + 0x060000L


////////////////////////////////////////////////////////////////////////////////
// PROPERTIES                                                                 //
////////////////////////////////////////////////////////////////////////////////
// Application Context Properties


// Graph Properties
#define LLB_GRAPH_SKIPPER_ROTATE                LLB_CLASS_GRAPH  + 0x0004

//#define LLB_GRAPH_ON_ERROR                      LLB_CLASS_GRAPH  + 0x000A
//#define LLB_GRAPH_LAST_ERROR                    LLB_CLASS_GRAPH  + 0x0014
#define LLB_GRAPH_ON_MOUSE                      LLB_CLASS_GRAPH  + 0x001E

#define LLB_GRAPH_SKIPPER                       LLB_CLASS_GRAPH  + 0x0064
#define LLB_GRAPH_GO_TOP                        LLB_CLASS_GRAPH  + 0x006E
#define LLB_GRAPH_GO_BOTTOM                     LLB_CLASS_GRAPH  + 0x0078

#define LLB_GRAPH_INVALIDATE_DATA               LLB_CLASS_GRAPH  + 0x00C8

#define LLB_GRAPH_NUM_COL_IN_GRAPH              LLB_CLASS_GRAPH  + 0x012C
#define LLB_GRAPH_IS_STABLE                     LLB_CLASS_GRAPH  + 0x0136
#define LLB_GRAPH_NUM_COL_IN_VIEW               LLB_CLASS_GRAPH  + 0x0140
#define LLB_GRAPH_NUM_ROW_IN_VIEW               LLB_CLASS_GRAPH  + 0x014A

#define LLB_GRAPH_LEGEND                        LLB_CLASS_GRAPH  + 0x0190

#define LLB_GRAPH_X_AXIS                        LLB_CLASS_GRAPH  + 0x01f4
#define LLB_GRAPH_Y_AXIS_LEFT                   LLB_CLASS_GRAPH  + 0x01FE
#define LLB_GRAPH_Y_AXIS_RIGHT                  LLB_CLASS_GRAPH  + 0x0208

#define LLB_GRAPH_Y_TO_X_RATIO_AUTO             LLB_CLASS_GRAPH  + 0x0259

#define LLB_GRAPH_Y_TO_X_RATIO                  LLB_CLASS_GRAPH  + 0x0258
#define LLB_GRAPH_Z_TO_X_ANGLE                  LLB_CLASS_GRAPH  + 0x0262
#define LLB_GRAPH_Z_TO_X_RATIO                  LLB_CLASS_GRAPH  + 0x026C

#define LLB_GRAPH_START_ANGLE                   LLB_CLASS_GRAPH  + 0x026E

#define LLB_GRAPH_WINDOW_HANDLE                 LLB_CLASS_GRAPH  + 0x02BC
#define LLB_GRAPH_DEVICE_CONTEXT                LLB_CLASS_GRAPH  + 0x02C6

#define LLB_GRAPH_COORD_LEFT                    LLB_CLASS_GRAPH  + 0x0320
#define LLB_GRAPH_COORD_TOP                     LLB_CLASS_GRAPH  + 0x032A
#define LLB_GRAPH_COORD_RIGHT                   LLB_CLASS_GRAPH  + 0x0334
#define LLB_GRAPH_COORD_BOTTOM                  LLB_CLASS_GRAPH  + 0x033E
#define LLB_GRAPH_MARGIN_LEFT                   LLB_CLASS_GRAPH  + 0x0348
#define LLB_GRAPH_MARGIN_TOP                    LLB_CLASS_GRAPH  + 0x0352
#define LLB_GRAPH_MARGIN_RIGHT                  LLB_CLASS_GRAPH  + 0x035C
#define LLB_GRAPH_MARGIN_BOTTOM                 LLB_CLASS_GRAPH  + 0x0366
#define LLB_GRAPH_COORD_WIDTH                   LLB_CLASS_GRAPH  + 0x0370
#define LLB_GRAPH_COORD_HEIGHT                  LLB_CLASS_GRAPH  + 0x037A
#define LLB_GRAPH_COORD_MAXIMIZE                LLB_CLASS_GRAPH  + 0x037F

#define LLB_GRAPH_SIDE_XY_COLORFILL             LLB_CLASS_GRAPH  + 0x0384
#define LLB_GRAPH_SIDE_XY_3D_EFFECT             LLB_CLASS_GRAPH  + 0x038E
#define LLB_GRAPH_SIDE_XY_GRID                  LLB_CLASS_GRAPH  + 0x0398
#define LLB_GRAPH_SIDE_XY_TRANSPARENT           LLB_CLASS_GRAPH  + 0x03A2

#define LLB_GRAPH_SIDE_ZY_COLORFILL             LLB_CLASS_GRAPH  + 0x03E8
#define LLB_GRAPH_SIDE_ZY_3D_EFFECT             LLB_CLASS_GRAPH  + 0x03F2
#define LLB_GRAPH_SIDE_ZY_GRID                  LLB_CLASS_GRAPH  + 0x03FC
#define LLB_GRAPH_SIDE_ZY_TRANSPARENT           LLB_CLASS_GRAPH  + 0x0406

#define LLB_GRAPH_SIDE_ZX_COLORFILL             LLB_CLASS_GRAPH  + 0x0456
#define LLB_GRAPH_SIDE_ZX_3D_EFFECT             LLB_CLASS_GRAPH  + 0x0460
#define LLB_GRAPH_SIDE_ZX_GRID                  LLB_CLASS_GRAPH  + 0x046A
#define LLB_GRAPH_SIDE_ZX_TRANSPARENT           LLB_CLASS_GRAPH  + 0x0474

#define LLB_GRAPH_TYPE                          LLB_CLASS_GRAPH  + 0x04B0
#define LLB_GRAPH_EFFECT_3D                     LLB_CLASS_GRAPH  + 0x04BA
#define LLB_GRAPH_FILLED                        LLB_CLASS_GRAPH  + 0x04C4
#define LLB_GRAPH_HOT_SPOT                      LLB_CLASS_GRAPH  + 0x04C5

#define LLB_GRAPH_NUM_2_COLUMN_IN_GRAPH         LLB_CLASS_GRAPH  + 0x0514
#define LLB_GRAPH_NUM_2_COLUMN_IN_VIEW          LLB_CLASS_GRAPH  + 0x051E

#define LLB_GRAPH_FIRST_COLUMN_IN_VIEW          LLB_CLASS_GRAPH  + 0x0578

#define LLB_GRAPH_TITLE                         LLB_CLASS_GRAPH  + 0x05DC
#define LLB_GRAPH_TITLE_FONT                    LLB_CLASS_GRAPH  + 0x05E6

#define LLB_GRAPH_COLUMN_COLOR_FREEZE           LLB_CLASS_GRAPH  + 0x06A5

#define LLB_GRAPH_COLOR_WHELL                   LLB_CLASS_GRAPH  + 0x06A4
#define LLB_GRAPH_COLOR_OUTLINE                 LLB_CLASS_GRAPH  + 0x06A6
#define LLB_GRAPH_COLOR_BK                      LLB_CLASS_GRAPH  + 0x06A7

#define LLB_GRAPH_ERASE_TEXT                    LLB_CLASS_GRAPH  + 0x0640
#define LLB_GRAPH_WINDOW_COLOR_BK               LLB_CLASS_GRAPH  + 0x064A


// Column Properties
#define LLB_COLUMN_ON_MOUSE                     LLB_CLASS_COLUMN + 0x000A
#define LLB_COLUMN_DATA_SOURCE                  LLB_CLASS_COLUMN + 0x0014

#define LLB_COLUMN_ATTACHED_TO_Y_AXIS_LEFT      LLB_CLASS_COLUMN + 0x0064

#define LLB_COLUMN_COLOR                        LLB_CLASS_COLUMN + 0x00C8

#define LLB_COLUMN_COLORFILL_1                  LLB_CLASS_COLUMN + 0x00D2
#define LLB_COLUMN_COLORFILL_2                  LLB_CLASS_COLUMN + 0x00D3
#define LLB_COLUMN_COLORFILL_3                  LLB_CLASS_COLUMN + 0x00D4
#define LLB_COLUMN_COLORFILL_4                  LLB_CLASS_COLUMN + 0x00D5

#define LLB_COLUMN_COLORFILL_SHADOW             LLB_CLASS_COLUMN + 0x00DC
#define LLB_COLUMN_COLOR_AUTO_SHADOW            LLB_CLASS_COLUMN + 0x00DE

#define LLB_COLUMN_TYPE                         LLB_CLASS_COLUMN + 0x02BC
#define LLB_COLUMN_EFFECT_3D                    LLB_CLASS_COLUMN + 0x02C6
#define LLB_COLUMN_EFFECT_FILLED                LLB_CLASS_COLUMN + 0x02D0

#define LLB_COLUMN_SYMBOL                       LLB_CLASS_COLUMN + 0x02D2

#define LLB_COLUMN_X_WIDTH                      LLB_CLASS_COLUMN + 0x012C
#define LLB_COLUMN_X_OFFSET                     LLB_CLASS_COLUMN + 0x0136
#define LLB_COLUMN_Y_WIDTH                      LLB_CLASS_COLUMN + 0x0140
#define LLB_COLUMN_Y_OFFSET                     LLB_CLASS_COLUMN + 0x014A

#define LLB_COLUMN_TITLE                        LLB_CLASS_COLUMN + 0x0190
#define LLB_COLUMN_TITLE_FONT                   LLB_CLASS_COLUMN + 0x01A4

#define LLB_COLUMN_POS_IN_GRAPH                 LLB_CLASS_COLUMN + 0x01FA

#define LLB_COLUMN_PEN_WIDTH                    LLB_CLASS_COLUMN + 0x01FE

#define LLB_COLUMN_FREEZE                       LLB_CLASS_COLUMN + 0x0258

#define LLB_COLUMN_MULTIPLE                     LLB_CLASS_COLUMN + 0x0259

// X Axis Properties
#define LLB_X_AXIS_DATA_SOURCE                  LLB_CLASS_X_AXIS + 0x000A
#define LLB_X_AXIS_ON_MOUSE                     LLB_CLASS_X_AXIS + 0x0014

#define LLB_X_AXIS_COLOR                        LLB_CLASS_X_AXIS + 0x0064

#define LLB_X_AXIS_HEADER                       LLB_CLASS_X_AXIS + 0x00C8
#define LLB_X_AXIS_HEADER_FONT                  LLB_CLASS_X_AXIS + 0x00D2

#define LLB_X_AXIS_TITLE                        LLB_CLASS_X_AXIS + 0x012C
#define LLB_X_AXIS_TITLE_FONT                   LLB_CLASS_X_AXIS + 0x0136

#define LLB_X_AXIS_LABEL_FONT                   LLB_CLASS_X_AXIS + 0x0190


// Y Axis Properties
#define LLB_Y_AXIS_ON_LEFT                      LLB_CLASS_Y_AXIS + 0x000A
#define LLB_Y_AXIS_ON_MOUSE                     LLB_CLASS_Y_AXIS + 0x0014

#define LLB_Y_AXIS_VALUE_TO_SCALE               LLB_CLASS_Y_AXIS + 0x0064
#define LLB_Y_AXIS_VALUE_TO_STRING              LLB_CLASS_Y_AXIS + 0x006E

#define LLB_Y_AXIS_COLOR                        LLB_CLASS_Y_AXIS + 0x00C8

#define LLB_Y_AXIS_AUTOSIZE                     LLB_CLASS_Y_AXIS + 0x012C
#define LLB_Y_AXIS_MIN                          LLB_CLASS_Y_AXIS + 0x0136
#define LLB_Y_AXIS_MAX                          LLB_CLASS_Y_AXIS + 0x0140
#define LLB_Y_AXIS_BASE                         LLB_CLASS_Y_AXIS + 0x014A

#define LLB_Y_AXIS_FORMAT_AUTO                  LLB_CLASS_Y_AXIS + 0x0065
#define LLB_Y_AXIS_FORMAT_WIDTH                 LLB_CLASS_Y_AXIS + 0x0066
#define LLB_Y_AXIS_FORMAT_DECIMAL               LLB_CLASS_Y_AXIS + 0x0067

#define LLB_Y_AXIS_AUTOSIZE_STEP                LLB_CLASS_Y_AXIS + 0x0190
#define LLB_Y_AXIS_STEP_MAJOR                   LLB_CLASS_Y_AXIS + 0x019A
#define LLB_Y_AXIS_STEP_MAJOR_TYPE              LLB_CLASS_Y_AXIS + 0x01A4
#define LLB_Y_AXIS_STEP_MAJOR_COLOR             LLB_CLASS_Y_AXIS + 0x01AE
#define LLB_Y_AXIS_STEP_MINOR                   LLB_CLASS_Y_AXIS + 0x01B8
#define LLB_Y_AXIS_STEP_MINOR_TYPE              LLB_CLASS_Y_AXIS + 0x01C2
#define LLB_Y_AXIS_STEP_MINOR_COLOR             LLB_CLASS_Y_AXIS + 0x01CC

#define LLB_Y_AXIS_HEADER                       LLB_CLASS_Y_AXIS + 0x01F4
#define LLB_Y_AXIS_HEADER_FONT                  LLB_CLASS_Y_AXIS + 0x01FE

#define LLB_Y_AXIS_TITLE                        LLB_CLASS_Y_AXIS + 0x0258
#define LLB_Y_AXIS_TITLE_FONT                   LLB_CLASS_Y_AXIS + 0x0262

#define LLB_Y_AXIS_LABEL_FONT                   LLB_CLASS_Y_AXIS + 0x02BC


// Legend Properties
#define LLB_LEGEND_ON_MOUSE                     LLB_CLASS_LEGEND + 0x000A
#define LLB_LEGEND_VISIBLE                      LLB_CLASS_LEGEND + 0x0014
#define LLB_LEGEND_POSITION                     LLB_CLASS_LEGEND + 0x001E

#define LLB_LEGEND_COLOR_OUTLINE                LLB_CLASS_LEGEND + 0x0020
#define LLB_LEGEND_COLOR_BK                     LLB_CLASS_LEGEND + 0x0021

// Font Properties
#define LLB_FONT_NAME                           LLB_CLASS_FONT   + 0x000A
#define LLB_FONT_ITALIC                         LLB_CLASS_FONT   + 0x0014
#define LLB_FONT_BOLD                           LLB_CLASS_FONT   + 0x001E
#define LLB_FONT_UNDERLINE                      LLB_CLASS_FONT   + 0x0028
#define LLB_FONT_COLOR                          LLB_CLASS_FONT   + 0x0032


////////////////////////////////////////////////////////////////////////////////
// Error Code                                                                 //
////////////////////////////////////////////////////////////////////////////////
#define LLB_ERROR_FREE                          LLO_LIBRARY_BUSINESS + 0x000A
#define LLB_ERROR                               LLO_LIBRARY_BUSINESS + 0x0014

#define LLB_ERROR_NOT_ENOUGH_MEMORY             LLO_LIBRARY_BUSINESS + 0x0078

#define LLB_ERROR_INVALID_DEFINE                LLO_LIBRARY_BUSINESS + 0x00D2
#define LLB_ERROR_INVALID_VALUE                 LLO_LIBRARY_BUSINESS + 0x00DC
#define LLB_ERROR_INVALID_PERCENTAGE            LLO_LIBRARY_BUSINESS + 0x00E6

#define LLB_ERROR_NO_COLUMN_IN_GRAPH            LLO_LIBRARY_BUSINESS + 0x012C

#define LLB_ERROR_FUNCTION_GO_TOP_UNDEFINED     LLO_LIBRARY_BUSINESS + 0x0190
#define LLB_ERROR_FUNCTION_GO_BOTTOM_UNDEFINED  LLO_LIBRARY_BUSINESS + 0x019A
#define LLB_ERROR_FUNCTION_SKIPPER_UNDEFINED    LLO_LIBRARY_BUSINESS + 0x01A4
#define LLB_ERROR_FUNCTION_GET_DATA_UNDEFINED   LLO_LIBRARY_BUSINESS + 0x01AE

#define LLB_ERROR_INVALID_Y_AXIS_VALUE          LLO_LIBRARY_BUSINESS + 0x01F4
#define LLB_ERROR_INVALID_Y_AXIS_MAJOR_STEP     LLO_LIBRARY_BUSINESS + 0x01FE
#define LLB_ERROR_INVALID_Y_AXIS_MINOR_STEP     LLO_LIBRARY_BUSINESS + 0x0208

#define LLB_ERROR_INVALID_DISPLAY_AREA          LLO_LIBRARY_BUSINESS + 0x0258
#define LLB_ERROR_DEVICE_UNDEFINED              LLO_LIBRARY_BUSINESS + 0x0262
#define LLB_ERROR_INVALID_WINDOW_HANDLE         LLO_LIBRARY_BUSINESS + 0x026C

////////////////////////////////////////////////////////////////////////////////
// Data Nil                                                                   //
////////////////////////////////////////////////////////////////////////////////
#define LLB_DATA_NIL                            1.7976931348623158e+308


////////////////////////////////////////////////////////////////////////////////
// bMove Direction                                                            //
////////////////////////////////////////////////////////////////////////////////
#define LLB_MOVE_RIGHT                            0L
#define LLB_MOVE_LEFT                             1L
#define LLB_MOVE_PAN_RIGHT                        2L
#define LLB_MOVE_PAN_LEFT                         3L
#define LLB_MOVE_PAN_HOME                         4L
#define LLB_MOVE_PAN_END                          5L
#define LLB_MOVE_UP                               6L
#define LLB_MOVE_DOWN                             7L
#define LLB_MOVE_PAGE_UP                          8L
#define LLB_MOVE_PAGE_DOWN                        9L
#define LLB_MOVE_GO_TOP                          10L
#define LLB_MOVE_GO_BOTTOM                       11L


////////////////////////////////////////////////////////////////////////////////
// Stabilize State                                                            //
////////////////////////////////////////////////////////////////////////////////
#define LLB_GRAPH_STATE_INVALID                   4L
#define LLB_GRAPH_STATE_REFRESH_DATA              3L
#define LLB_GRAPH_STATE_BUILD                     2L
#define LLB_GRAPH_STATE_DISPLAY                   1L
#define LLB_GRAPH_STATE_STABLE                    0L


////////////////////////////////////////////////////////////////////////////////
// Graph Type                                                                 //
////////////////////////////////////////////////////////////////////////////////
#define LLB_TYPE_BAR_GRAPH                       10L  // Default
#define LLB_TYPE_BAR_GRAPH_STOCK                 12L
#define LLB_TYPE_LINE_GRAPH                      20L
#define LLB_TYPE_STACKED_BAR_GRAPH_PERCENT       32L
#define LLB_TYPE_STACKED_BAR_GRAPH               30L
#define LLB_TYPE_PIE_GRAPH                       40L

#define LLB_TYPE_RESET_ALL                      400L

////////////////////////////////////////////////////////////////////////////////
// Symbol                                                                     //
////////////////////////////////////////////////////////////////////////////////
#define LLB_SYMBOL_SQUARE_FILLED      1L
#define LLB_SYMBOL_SQUARE             2L
#define LLB_SYMBOL_CIRCLE_FILLED      3L
#define LLB_SYMBOL_CIRCLE             4L
#define LLB_SYMBOL_TRIANGLE_B_FILLED  5L
#define LLB_SYMBOL_TRIANGLE_B         6L
#define LLB_SYMBOL_TRIANGLE_T_FILLED  7L
#define LLB_SYMBOL_TRIANGLE_T         8L
#define LLB_SYMBOL_DIAMOND_FILLED     9L
#define LLB_SYMBOL_DIAMOND           10L
#define LLB_SYMBOL_CROSS_1           11L
#define LLB_SYMBOL_CROSS_2           12L
#define LLB_SYMBOL_STAR              13L

////////////////////////////////////////////////////////////////////////////////
// Legend                                                                     //
////////////////////////////////////////////////////////////////////////////////
// Legend Position
#define LLB_LEGEND_ON_LEFT                        1L
#define LLB_LEGEND_ON_TOP                         2L
#define LLB_LEGEND_ON_RIGHT                       3L
#define LLB_LEGEND_ON_BOTTOM                      4L
#define LLB_LEGEND_ON_BEST                        5L


////////////////////////////////////////////////////////////////////////////////
// Mouse Position                                                             //
////////////////////////////////////////////////////////////////////////////////
// LEGEND
#define LLB_MOUSE_ON_GRAPH_LEGEND                50L

// GRAPH
#define LLB_MOUSE_ON_GRAPH_TITLE                 10L

#define LLB_MOUSE_ON_GRAPH_SIDE_XY               20L
#define LLB_MOUSE_ON_GRAPH_SIDE_ZY               30L
#define LLB_MOUSE_ON_GRAPH_SIDE_ZX               40L

// COLUMN
#define LLB_MOUSE_ON_COLUMN                      60L

#define LLB_MOUSE_ON_COLUMN_DATA_1               70L
#define LLB_MOUSE_ON_COLUMN_DATA_2               69L
#define LLB_MOUSE_ON_COLUMN_DATA_3               68L
#define LLB_MOUSE_ON_COLUMN_DATA_4               67L
#define LLB_MOUSE_ON_COLUMN_DATA_PERCENT         72L
#define LLB_MOUSE_ON_COLUMN_DATA_INTERVAL        74L
#define LLB_MOUSE_ON_COLUMN_DATA_TOTAL           75L

#define LLB_MOUSE_ON_COLUMN_TITLE                80L

// X_AXIS
#define LLB_MOUSE_ON_X_AXIS                      88L
#define LLB_MOUSE_ON_X_AXIS_LABEL                90L
#define LLB_MOUSE_ON_X_AXIS_TITLE               100L
#define LLB_MOUSE_ON_X_AXIS_HEADER              110L

// Y AXIS
#define LLB_MOUSE_ON_Y_AXIS                     118L
#define LLB_MOUSE_ON_Y_AXIS_LABEL               120L
#define LLB_MOUSE_ON_Y_AXIS_TITLE               130L
#define LLB_MOUSE_ON_Y_AXIS_HEADER              140L


////////////////////////////////////////////////////////////////////////////////
// Prototypes Of User Defined Functions                                       //
////////////////////////////////////////////////////////////////////////////////

typedef int          ( FAR PASCAL _export *LPFUNC_GO_TOP       )( LLOBJECT LLObjectGraph ) ;

typedef int          ( FAR PASCAL _export *LPFUNC_GO_BOTTOM    )( LLOBJECT LLObjectGraph ) ;

typedef int          ( FAR PASCAL _export *LPFUNC_SKIPPER      )( LLOBJECT LLObjectGraph ,
                                                                  int       nbLineToSkip ) ;

typedef double far * ( FAR PASCAL _export *LPFUNC_DATA         )( LLOBJECT LLObjectColumn ) ;

typedef char   far * ( FAR PASCAL _export *LPFUNC_GETLABEL     )( LLOBJECT LLObjectXaxis ) ;

typedef double far * ( FAR PASCAL _export *LPFUNC_VALUE2SCALE  )( LLOBJECT LLObjectYaxis ,
                                                                  double    ValueToScale ) ;

typedef char   far * ( FAR PASCAL _export *LPFUNC_VALUE2STRING )( LLOBJECT LLObjectYaxis  ,
                                                                  double   ValueToConvert );

typedef void         ( FAR PASCAL _export *LPFUNC_EXECMOUSE    )( LLOBJECT LLObject        ,
                                                                  unsigned long ObjectPart ,
                                                                  double        Data       ,
                                                                  unsigned long UserParam1 ,
                                                                  unsigned long UserParam2 ,
                                                                  unsigned long UserParam3 ) ;

typedef void         ( FAR PASCAL _export *LPFUNC_ERROR        )( LLOBJECT LLObject ,
                                                                  long ErrorCode    ) ;


////////////////////////////////////////////////////////////////////////////////
// LIGHT LIB BUSINESS API                                                     //
////////////////////////////////////////////////////////////////////////////////

long  FAR PASCAL _export bMove           ( LLOBJECT LLObjectGraph   ,
                                           unsigned long Direction  ,
                                           int           nRepeat    ) ;

long  FAR PASCAL _export bStabilize      ( LLOBJECT LLObjectGraph   ,
                                           int StabilizeAll         ) ;

long  FAR PASCAL _export bOnMouse        ( LLOBJECT LLObjectGraph   ,
                                           int xMouse               ,
                                           int yMouse               ,
                                           unsigned long UserParam1 ,
                                           unsigned long UserParam2 ,
                                           unsigned long UserParam3 ) ;

long FAR PASCAL _export bPrint           ( LLOBJECT LLObjectGraph   ,
                                           HDC hdc                  ,
                                           unsigned long ScaleRatio ,
                                           int nLeft                ,
                                           int nTop                 ,
                                           int nRight               ,
                                           int nBottom              );


#endif // LLB_HEADER



