// LLID.cpp : Defines the class behaviors for the application.
//


#include "stdafx.h"

extern "C"   // include the LightLibImage - header file here
{
#include "LLI.H"
}

#include "LLID.h"

#include "mainfrm.h"
#include "LLIDdoc.h"
#include "LLIDview.h"

 
#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CLLIDApp

BEGIN_MESSAGE_MAP(CLLIDApp, CWinApp)
 //{{AFX_MSG_MAP(CLLIDApp)
 ON_COMMAND(ID_APP_ABOUT, OnAppAbout)
  // NOTE - the ClassWizard will add and remove mapping macros here.
  //    DO NOT EDIT what you see in these blocks of generated code!
 //}}AFX_MSG_MAP
 // Standard file based document commands
 ON_COMMAND(ID_FILE_NEW, CWinApp::OnFileNew)
 ON_COMMAND(ID_FILE_OPEN, CWinApp::OnFileOpen)
 // Standard print setup command
 ON_COMMAND(ID_FILE_PRINT_SETUP, CWinApp::OnFilePrintSetup)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CLLIDApp construction

CLLIDApp::CLLIDApp()
{
 // TODO: add construction code here,
 // Place all significant initialization in InitInstance 
}

/////////////////////////////////////////////////////////////////////////////
// The one and only CLLIDApp object

CLLIDApp NEAR theApp;

/////////////////////////////////////////////////////////////////////////////
// CLLIDApp initialization


BOOL CLLIDApp::InitInstance()
{
 // Standard initialization
 // If you are not using these features and wish to reduce the size
 //  of your final executable, you should remove from the following
 //  the specific initialization routines you do not need.

 SetDialogBkColor();        // Set dialog background color to gray
 LoadStdProfileSettings();  // Load standard INI file options (including MRU)
 

 // Register the application's document templates.  Document templates
 //  serve as the connection between documents, frame windows and views.

    // enable TIF fileformat
    CMultiDocTemplate* pDocTemplateTIF;
    pDocTemplateTIF = new CMultiDocTemplate(
        IDR_TIFTYPE,
        RUNTIME_CLASS( CLLIDDoc ),
        RUNTIME_CLASS( CMDIChildWnd ),        // standard MDI child frame
        RUNTIME_CLASS( CLLIDView ) );

    // enable GIF fileformat
    CMultiDocTemplate* pDocTemplateGIF;
    pDocTemplateGIF = new CMultiDocTemplate(
        IDR_GIFTYPE,
        RUNTIME_CLASS( CLLIDDoc ),
        RUNTIME_CLASS( CMDIChildWnd ),        // standard MDI child frame
        RUNTIME_CLASS( CLLIDView ) );
    
    // enable BMP fileformat
    CMultiDocTemplate* pDocTemplateBMP;
    pDocTemplateBMP = new CMultiDocTemplate(
        IDR_BMPTYPE,
        RUNTIME_CLASS( CLLIDDoc ),
        RUNTIME_CLASS( CMDIChildWnd ),        // standard MDI child frame
        RUNTIME_CLASS( CLLIDView ) );
    
    // enable JPG fileformat
    CMultiDocTemplate* pDocTemplateJPG;
    pDocTemplateJPG = new CMultiDocTemplate(
        IDR_JPGTYPE,
        RUNTIME_CLASS( CLLIDDoc ),
        RUNTIME_CLASS( CMDIChildWnd ),        // standard MDI child frame
        RUNTIME_CLASS( CLLIDView ) );

    // enable PCX fileformat
    CMultiDocTemplate* pDocTemplatePCX;
    pDocTemplatePCX = new CMultiDocTemplate(
        IDR_PCXTYPE,
        RUNTIME_CLASS( CLLIDDoc ),
        RUNTIME_CLASS( CMDIChildWnd ),        // standard MDI child frame
        RUNTIME_CLASS( CLLIDView ) );


    AddDocTemplate( pDocTemplateTIF );
    AddDocTemplate( pDocTemplateGIF );
    AddDocTemplate( pDocTemplateBMP );
    AddDocTemplate( pDocTemplateJPG );
    AddDocTemplate( pDocTemplatePCX );

 // create main MDI Frame window
    CMainFrame* pMainFrame = new CMainFrame;
    if (!pMainFrame->LoadFrame(IDR_MAINFRAME))
        return FALSE;
    m_pMainWnd = pMainFrame;
    
    pMainFrame->DragAcceptFiles();      // allow Drag and Drop from FileManager


 if (m_lpCmdLine[0] != '\0')
 {
  // TODO: add command line processing here
 }
  
  
 // The main window has been initialized, so show and update it.
 pMainFrame->ShowWindow(m_nCmdShow);
 pMainFrame->UpdateWindow();

 return TRUE;
}

/////////////////////////////////////////////////////////////////////////////
// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
 CAboutDlg();

// Dialog Data
 //{{AFX_DATA(CAboutDlg)
 enum { IDD = IDD_ABOUTBOX };
 //}}AFX_DATA

// Implementation
protected:
 virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
 //{{AFX_MSG(CAboutDlg)
  // No message handlers
 //}}AFX_MSG
 DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
 //{{AFX_DATA_INIT(CAboutDlg)
 //}}AFX_DATA_INIT
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
 CDialog::DoDataExchange(pDX);
 //{{AFX_DATA_MAP(CAboutDlg)
 //}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
 //{{AFX_MSG_MAP(CAboutDlg)
  // No message handlers
 //}}AFX_MSG_MAP
END_MESSAGE_MAP()

// App command to run the dialog
void CLLIDApp::OnAppAbout()
{
 CAboutDlg aboutDlg;
 aboutDlg.DoModal();
}

/////////////////////////////////////////////////////////////////////////////
// CLLIDApp commands



